---
updatedAt: 2025-09-18T11:01:47.000Z
agentTools:
  projectIndex: https://api.net2grid.com/llms.txt
---

# Self-provisioning flow

### Modifications to the POST /registration/provision endpoint

* The [POST /registration/provision](https://api.net2grid.com/reference/v2postprovisionaccount) endpoint was used to initiate email verification or end-user self provisioning via the CE-API. From now on this endpoint will only serve [the email verification flow](https://api.net2grid.com/docs/e-mail-verification) upon end-user onboarding.
  * The `false` value of the `imported` boolean body parameter is **deprecated**.
  * The `false` value was used in case of self provisioning flow and will no longer be available.
  * An error response 400 will be thrown in case the `false` value will be provided. The default value will change from `false` to `true`.
* The self-provisioning flow is deprecated and should no longer be used;
* provisioning of an end-user account is to be done only via a B2B manner through the [AM-API](https://account-management-api.net2grid.com/docs) and based on the defined [onboarding process](https://api.net2grid.com/docs/introduction-1).